package com.bocloud.cmp.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 腾讯同步
 *
 * @author ymh
 * @时间 2018年11月22日
 */
public class TencentSyncModel {
    private List<ServerModel> serverModels = new ArrayList<ServerModel>();
    private List<ImageModel> imageModels = new ArrayList<ImageModel>();
    private List<FlavorModel> flavorModels = new ArrayList<FlavorModel>();
    private List<VolumeModel> volumeModels = new ArrayList<VolumeModel>();
    private List<SnapshotModel> snapshotModels = new ArrayList<SnapshotModel>();
    private List<SecurityGroupModel> securityGroupModels = new ArrayList<SecurityGroupModel>();
    private List<RegionModel> regionModels = new ArrayList<RegionModel>();
    private List<VpcModel> vpcModels = new ArrayList<VpcModel>();
    private List<KeypairModel> keypairModels = new ArrayList<>();
    private List<SubnetModel> subnetModels = new ArrayList<>();
    private List<FloatingIpModel> floatModels = new ArrayList<>();
    private List<NetworkCardModel> networkCardModels = new ArrayList<>();
    private List<LbModel> LbModels = new ArrayList<>();

    /**
     *
     */
    public TencentSyncModel() {
        super();
    }

    /**
     * @return the serverModels
     */
    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    /**
     * @param serverModels the serverModels to set
     */
    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    /**
     * @return the imageModels
     */
    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    /**
     * @param imageModels the imageModels to set
     */
    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    /**
     * @return the flavorModels
     */
    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    /**
     * @param flavorModels the flavorModels to set
     */
    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    /**
     * @return the volumeModels
     */
    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    /**
     * @param volumeModels the volumeModels to set
     */
    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    /**
     * @return the snapshotModels
     */
    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    /**
     * @param snapshotModels the snapshotModels to set
     */
    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    /**
     * @return the securityGroupModels
     */
    public List<SecurityGroupModel> getSecurityGroupModels() {
        return securityGroupModels;
    }

    /**
     * @param securityGroupModels the securityGroupModels to set
     */
    public void setSecurityGroupModels(List<SecurityGroupModel> securityGroupModels) {
        this.securityGroupModels = securityGroupModels;
    }

    /**
     * @return the regionModels
     */
    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    /**
     * @param regionModels the regionModels to set
     */
    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    /**
     * @return the vpcModels
     */
    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    /**
     * @param vpcModels the vpcModels to set
     */
    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<SubnetModel> getSubnetModels() {
        return subnetModels;
    }

    public void setSubnetModels(List<SubnetModel> subnetModels) {
        this.subnetModels = subnetModels;
    }

    public List<FloatingIpModel> getFloatModels() {
        return floatModels;
    }

    public void setFloatModels(List<FloatingIpModel> floatModels) {
        this.floatModels = floatModels;
    }

    public List<NetworkCardModel> getNetworkCardModels() {
        return networkCardModels;
    }

    public void setNetworkCardModels(List<NetworkCardModel> networkCardModels) {
        this.networkCardModels = networkCardModels;
    }

    public List<LbModel> getLbModels() {
        return LbModels;
    }

    public void setLbModels(List<LbModel> lbModels) {
        LbModels = lbModels;
    }
}
